std::_List_const_iterator< _Tp >(3)

NAME
std::_List_const_iterator< _Tp > - A list::const_iterator.

SYNOPSIS

  Public Types
typedef const _List_node< _Tp > _Node
typedef _List_const_iterator< _Tp > _Self
typedef ptrdiff_t difference_type
typedef _List_iterator< _Tp > iterator
typedef std::bidirectional_iterator_tag iterator_category
typedef const _Tp * pointer
typedef const _Tp & reference
typedef _Tp value_type

  Public Member Functions
_List_const_iterator (const __detail::_List_node_base *__x) noexcept
_List_const_iterator (const iterator &__x) noexcept
iterator _M_const_cast () const noexcept
reference operator* () const noexcept
_Self & operator++ () noexcept
_Self operator++ (int) noexcept
_Self & operator-- () noexcept
_Self operator-- (int) noexcept
pointer operator-> () const noexcept

  Public Attributes
const __detail::_List_node_base * _M_node

  Friends
bool operator!= (const _Self &__x, const _Self &__y) noexcept
bool operator== (const _Self &__x, const _Self &__y) noexcept

Detailed Description

  template<typename _Tp>
struct std::_List_const_iterator< _Tp >" A list::const_iterator. All the functions are op overloads.

Definition at line 74 of file stl_iterator_base_funcs.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.